RasaX on iMac not running

  1. Rasa Version : 2.7.1
  2. Minimum Compatible Version: 2.6.0
  3. Rasa SDK Version : 2.7.0
  4. Rasa X Version : 0.41.1
  5. Python Version : 3.7.3
  6. Operating System : Darwin-20.5.0-x86_64-i386-64bit
  7. RasaX 0.41.1 local installation via: pip install --use-deprecated=legacy-resolver rasa-x --extra-index-url https://pypi.rasa.com/simple

str:

  • pip install rasa[spacy]
  • rasa init
  • pip install --use-deprecated=legacy-resolver rasa-x --extra-index-url https://pypi.rasa.com/simple
  • rasa x

error message: Starting Rasa X in local mode… :rocket: Traceback (most recent call last): File “/Users/svenandreas/Documents/Development/Rasa_HD/lib/python3.7/site-packages/sqlalchemy/engine/base.py”, line 1277, in _execute_context cursor, statement, parameters, context File “/Users/svenandreas/Documents/Development/Rasa_HD/lib/python3.7/site-packages/sqlalchemy/engine/default.py”, line 609, in do_execute cursor.execute(statement, parameters) sqlite3.OperationalError: no such column: True

The above exception was the direct cause of the following exception:

Traceback (most recent call last): File “/Users/svenandreas/Documents/Development/Rasa_HD/lib/python3.7/site-packages/rasa/cli/x.py”, line 501, in run_locally domain_path=domain_path, File “/Users/svenandreas/Documents/Development/Rasa_HD/lib/python3.7/site-packages/rasax/community/local.py”, line 234, in main sql_migrations.run_migrations(session) File “/Users/svenandreas/Documents/Development/Rasa_HD/lib/python3.7/site-packages/rasax/community/sql_migrations.py”, line 25, in run_migrations _run_schema_migrations(session) File “/Users/svenandreas/Documents/Development/Rasa_HD/lib/python3.7/site-packages/rasax/community/sql_migrations.py”, line 41, in _run_schema_migrations _run_alembic_migration(alembic_config) File “/Users/svenandreas/Documents/Development/Rasa_HD/lib/python3.7/site-packages/rasax/community/sql_migrations.py”, line 65, in _run_alembic_migration command.upgrade(alembic_config, target_revision) File “/Users/svenandreas/Documents/Development/Rasa_HD/lib/python3.7/site-packages/alembic/command.py”, line 298, in upgrade script.run_env() File “/Users/svenandreas/Documents/Development/Rasa_HD/lib/python3.7/site-packages/alembic/script/base.py”, line 489, in run_env util.load_python_file(self.dir, “env.py”) File “/Users/svenandreas/Documents/Development/Rasa_HD/lib/python3.7/site-packages/alembic/util/pyfiles.py”, line 98, in load_python_file module = load_module_py(module_id, path) File “/Users/svenandreas/Documents/Development/Rasa_HD/lib/python3.7/site-packages/alembic/util/compat.py”, line 184, in load_module_py spec.loader.exec_module(module) File “”, line 728, in exec_module File “”, line 219, in _call_with_frames_removed File “/Users/svenandreas/Documents/Development/Rasa_HD/lib/python3.7/site-packages/rasax/community/database/schema_migrations/alembic/env.py”, line 96, in run_migrations_online() File “/Users/svenandreas/Documents/Development/Rasa_HD/lib/python3.7/site-packages/rasax/community/database/schema_migrations/alembic/env.py”, line 86, in run_migrations_online context.run_migrations() File “”, line 8, in run_migrations File “/Users/svenandreas/Documents/Development/Rasa_HD/lib/python3.7/site-packages/alembic/runtime/environment.py”, line 846, in run_migrations self.get_context().run_migrations(**kw) File “/Users/svenandreas/Documents/Development/Rasa_HD/lib/python3.7/site-packages/alembic/runtime/migration.py”, line 522, in run_migrations step.migration_fn(**kw) File “/Users/svenandreas/Documents/Development/Rasa_HD/lib/python3.7/site-packages/rasax/community/database/schema_migrations/alembic/versions/migration_2021_06_16_speedup_in_training_data_update_652500998f3e.py”, line 42, in upgrade sqlite_where=sa.text(index_text), File “/Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/contextlib.py”, line 119, in exit next(self.gen) File “/Users/svenandreas/Documents/Development/Rasa_HD/lib/python3.7/site-packages/alembic/operations/base.py”, line 353, in batch_alter_table impl.flush() File “/Users/svenandreas/Documents/Development/Rasa_HD/lib/python3.7/site-packages/alembic/operations/batch.py”, line 82, in flush fn(*arg, **kw) File “/Users/svenandreas/Documents/Development/Rasa_HD/lib/python3.7/site-packages/alembic/ddl/impl.py”, line 283, in create_index self._exec(schema.CreateIndex(index)) File “/Users/svenandreas/Documents/Development/Rasa_HD/lib/python3.7/site-packages/alembic/ddl/impl.py”, line 141, in _exec return conn.execute(construct, *multiparams, **params) File “/Users/svenandreas/Documents/Development/Rasa_HD/lib/python3.7/site-packages/sqlalchemy/engine/base.py”, line 1011, in execute return meth(self, multiparams, params) File “/Users/svenandreas/Documents/Development/Rasa_HD/lib/python3.7/site-packages/sqlalchemy/sql/ddl.py”, line 72, in _execute_on_connection return connection._execute_ddl(self, multiparams, params) File “/Users/svenandreas/Documents/Development/Rasa_HD/lib/python3.7/site-packages/sqlalchemy/engine/base.py”, line 1073, in _execute_ddl compiled, File “/Users/svenandreas/Documents/Development/Rasa_HD/lib/python3.7/site-packages/sqlalchemy/engine/base.py”, line 1317, in execute_context e, statement, parameters, cursor, context File “/Users/svenandreas/Documents/Development/Rasa_HD/lib/python3.7/site-packages/sqlalchemy/engine/base.py”, line 1511, in handle_dbapi_exception sqlalchemy_exception, with_traceback=exc_info[2], from=e File “/Users/svenandreas/Documents/Development/Rasa_HD/lib/python3.7/site-packages/sqlalchemy/util/compat.py”, line 182, in raise raise exception File “/Users/svenandreas/Documents/Development/Rasa_HD/lib/python3.7/site-packages/sqlalchemy/engine/base.py”, line 1277, in _execute_context cursor, statement, parameters, context File “/Users/svenandreas/Documents/Development/Rasa_HD/lib/python3.7/site-packages/sqlalchemy/engine/default.py”, line 609, in do_execute cursor.execute(statement, parameters) sqlalchemy.exc.OperationalError: (sqlite3.OperationalError) no such column: True [SQL: CREATE INDEX message_log_in_training_data_idx ON message_log (in_training_data) WHERE in_training_data is True] (Background on this error at: http://sqlalche.me/e/13/e3q8)

Sorry, something went wrong (see error above). Make sure to start Rasa X with valid data and valid domain and config files. Please, also check any warnings that popped up. If you need help fixing the issue visit our forum: https://forum.rasa.com/. Traceback (most recent call last): File “”, line 1, in File “/Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/multiprocessing/spawn.py”, line 105, in spawn_main exitcode = _main(fd) File “/Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/multiprocessing/spawn.py”, line 115, in _main self = reduction.pickle.load(from_parent) File “/Library/Frameworks/Python.framework/Versions/3.7/lib/python3.7/multiprocessing/synchronize.py”, line 110, in setstate self._semlock = _multiprocessing.SemLock._rebuild(*state) FileNotFoundError: [Errno 2] No such file or directory

did find the tip with deleting events.db and rasa.db → same error reinstalled rasa x and rasa … but always the same error

okay… did change the python to:

  • Python 3.8.10 (v3.8.10:3d8993a744, May 3 2021, 08:55:58)
  • [Clang 6.0 (clang-600.0.57)] on darwin

is running now. still a warning: ERROR: pip’s legacy dependency resolver does not consider dependency conflicts when selecting packages. This behaviour is the source of the following dependency conflicts. sanic-jwt 1.6.0 requires pyjwt==2.0.0, but you’ll have pyjwt 2.1.0 which is incompatible.